classdef (ConstructOnLoad) eventSpecificData < event.EventData
  properties
    data = [];
    changesToData = [];
  end
  
  methods
    function evnt = eventSpecificData(data, oldData, newData)
      arguments
        data
        oldData = [];
        newData = [];
        
      end
      evnt.data = data;
      if ~isempty(oldData) && ~isempty(newData)
        dataFieldNames = fieldnames(oldData);
        dataBefore = oldData.(dataFieldNames{1});
        dataAfter = newData.(dataFieldNames{1});
        [rows, ~] = find(dataAfter ~= dataBefore);
        [nanRows, ~] = find(isnan(dataAfter(rows)) & isnan(dataBefore(rows)));
        rows(nanRows) = [];
        if isempty(rows)
          return
        end
        changesToData.rows = rows;
        changesToData.previousValues.(dataFieldNames{1}) = dataBefore(rows);
        for i = 2:size(dataFieldNames,1)
          dataBefore = oldData.(dataFieldNames{i});
          changesToData.previousValues.(dataFieldNames{i}) = dataBefore(rows);
        end
%         dataFieldNamesAfter = fieldnames(newData);
%         if size(dataFieldNames,1) ~= size(dataFieldNamesAfter,1)
%           idx = ~ismember(dataFieldNamesAfter, dataFieldNames);
%           newDataName = dataFieldNamesAfter{idx};
%           changesToData.previousValues.(newDataName) = newData.(newDataName);
%         end
        evnt.changesToData = changesToData;
      end
      
    end
    
  end
end