function [data, numDataPoints] = loadKinSoftTrainingData(filename)
load(filename, 'cellAllTraces');
numFiles = size(cellAllTraces,1);
data = struct('donor', {}, 'acceptor', {}, 'fret', {}, 'traceNum', {}, 'traceName', {});
numDataPoints = 0;
for i = 1:numFiles
  thisMolecule = cellAllTraces{i,1};
  data(i).donor = thisMolecule(:,2);
  data(i).acceptor = thisMolecule(:,3);
  data(i).fret = thisMolecule(:,5);
  data(i).traceNum = i;
  data(i).traceName = filename;
  numDataPoints = numDataPoints + length(data(i).donor);
end
end