function setMousePointerToRectangleMode(app,s,c,enterOrExit, ax)
disp(enterOrExit);
switch enterOrExit
  case 'exit'
%     s.WindowButtonDownFcn = [];
%     if isfield(ax.UserData, 'rectangle') && ~isempty(ax.UserData.rectangle)
%       delete(ax.UserData.rectangle);
%     end
  case 'enter'
    if isfield(ax.UserData, 'rectangle') && ~isempty(ax.UserData.rectangle)
      delete(ax.UserData.rectangle);
    end
    ax.UserData.rectangle = images.roi.Rectangle('Parent',ax,'Color',rand([1,3]), ...
      "LineWidth", 1, 'InteractionsAllowed', 'none', ...
      'FaceSelectable', false, 'StripeColor', rand([1,3]), 'DrawingArea', 'unlimited');
    listener(ax.UserData.rectangle,'DrawingStarted',@uiwait);
    listener(ax.UserData.rectangle,'DrawingFinished',@uiresume);
    s.CurrentAxes = ax;
    %s.WindowButtonDownFcn = @(s,event) clickAndDragRectangle(app, event, ax);
    cp = [ax.CurrentPoint(1,1),ax.CurrentPoint(1,2)];
    s.WindowButtonDownFcn = @(s,event) beginDrawingFromPoint(s.CurrentAxes.UserData.rectangle,[s.CurrentAxes.CurrentPoint(1,1),s.CurrentAxes.CurrentPoint(1,2)]);
    s.WindowButtonUpFcn = @(s,event) clickAndDragRectangle(app, event, ax);
end

end